Package org.apache.solr.client.solrj.response

## Class SpellCheckResponse.Correction

- java.lang.Object
- - org.apache.solr.client.solrj.response.SpellCheckResponse.Correction

Enclosing class:
  SpellCheckResponse

    public static class SpellCheckResponse.Correction
    extends Object

### Constructor Summary

Constructors
`Correction​(String original, String correction)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getCorrection()`
`String` `getOriginal()`
`void` `setCorrection​(String correction)`
`void` `setOriginal​(String original)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Correction

    public Correction​(String original,
                      String correction)

### Method Detail

#### getOriginal

    public String getOriginal()

#### setOriginal

    public void setOriginal​(String original)

#### getCorrection

    public String getCorrection()

#### setCorrection

    public void setCorrection​(String correction)